### Method

# Foundry ModelManager map

#### Declaration [src]

    GListModel*
    foundry_model_manager_map (
      FoundryModelManager* self,
      GListModel* model,
      FoundryListModelMapFunc map_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description

No description available.

#### Parameters

`model`

  Type: `GObject`

  A `GListModel`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`map_func`

  Type: `FoundryListModelMapFunc`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`user_destroy`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: A list model of `GObject`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.